summaryrefslogtreecommitdiffstats
path: root/make_html
diff options
context:
space:
mode:
authoryum <yum.food.vr@gmail.com>2025-05-23 01:00:15 +0000
committeryum <yum.food.vr@gmail.com>2025-05-23 01:00:15 +0000
commit2841d289eb299ffbe2be1893ab1663932e93f08d (patch)
tree1150351bae070b34764e822379f82e04a0d5d3c3 /make_html
initial commit
Diffstat (limited to 'make_html')
-rwxr-xr-xmake_html13
1 files changed, 13 insertions, 0 deletions
diff --git a/make_html b/make_html
new file mode 100755
index 0000000..e5306e8
--- /dev/null
+++ b/make_html
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+MARKDOWN_IN="$1"
+[ -z "$MARKDOWN_IN" ] && { echo "Script requires one markdown argument."; exit 1; }
+
+set -o errexit
+set -o xtrace
+
+pandoc --toc --template template.html -o index.html "$MARKDOWN_IN"
+mv index.html /var/www/html/
+cp -r vr_assets /var/www/html/
+cp -r images /var/www/html/
+